#include "CLevel.h"

CLevel::CLevel(int n,CGame* g,CMap* m,CScreen* s)
{
	game = g;
	map = m;
	scr = s;
    for(int i=0;i<MAP_WIDTH;i++)
    for(int j=0;j<MAP_HEIGHT;j++)
    {
        map->setMapPos(i,j,alllev[n][i][j]); 
    }
    int nplayer1 = rand()%8;
    int nplayer2 = nplayer1;
    do
    {
        nplayer2 = rand()%8;
    }
    while (nplayer1 == nplayer2);
    for(i=0;i<8;i++)
    {
        if (i == nplayer1)
            game->AddPlayer(respounds[n][i * 2],respounds[n][(i * 2) + 1]);
        else if (i == nplayer2)
            game->AddPlayer(respounds[n][i * 2],respounds[n][(i * 2) + 1]);
        else 
            game->AddMonster(respounds[n][i * 2],respounds[n][(i * 2) + 1],mPARF);
    }
	scr->SetBackGround(n);
	scr->SetUpGround(n);
}

CLevel::~CLevel()
{
	for (int i=0;i<MAX_PLAYERS;i++) 
		game->DeletePlayer(i);
	for (i=0;i<MAX_MONSTRES;i++) 
		game->DeleteMonster(i);
}
