#ifndef CSCREEN_DEF
#define CSCREEN_DEF

#include <windows.h>
#include "ddraw.h"
#include "CMap.h"
#include "CMapAccess.h"


class CScreen  
{
public:
	CScreen(CMap *m);
	virtual ~CScreen();	

	bool InitGraphics(HWND hwnd);      //  ,    .
	void CloseGraphics();			   //  
	void Paint();
	void PaintMenu(int);
	void PaintCredits();
	bool InitFail(HWND hwnd);
	void SetBackGround(int);
	void SetUpGround(int);
	

	CMapAccess *map;

	BOOL				bActive;		// is application active?

private:
	//     
	//      
	void ttt(RECT, LPDIRECTDRAWSURFACE, LPDIRECTDRAWSURFACE, int, int, DWORD);

	HRESULT restoreAll(void);	//  

	LPDIRECTDRAW		lpDD;			// DirectDraw object
	LPDIRECTDRAWSURFACE	lpDDSSurf[SURF_NUMBER];	// DirectDraw primary surface
	LPDIRECTDRAWSURFACE	lpDDSPrimary;	// DirectDraw primary surface
	LPDIRECTDRAWSURFACE	lpDDSBack;		// DirectDraw back surface
	LPDIRECTDRAWSURFACE	lpDDSUp;		// DirectDraw back surface
	LPDIRECTDRAWPALETTE	lpDDPal;		// DirectDraw palette

    char szBitmap[10];
	char szBmpMan[10];
	char szBmpBg[10];
	char szBmpUg[10];
	char szBmpWall[10];
	char szBmpMenu[10];
	char szBmpButtons[10];
	char szBmpMonster[10];
	char szBmpDie[10];
	char szBmpCredits[10];

	HBITMAP allpics;       // .
};

#endif 
