#ifndef CMONSTER_DEF
#define CMONSTER_DEF

#include "defines.h"

#include "CEvent.h"
#include "CBomb.h"
#include "CMapAccess.h"
#include "CMap.h"

class CMonster
{
public:
	CMonster();
	CMonster(int x,int y,int t,CMap* m);
	virtual ~CMonster();

	//   
	void You();
	bool TranslateEvent(CEvent* e);
	void Paint(int);
	CMapAccess* map;

	int x,y;    //  

private:
	int width;	// 
	int height;	// 
	int k;      //  
	int Px,Py;  //    (x,y)  X,  Y
	int dir;	//   
	int anim;   // 
	int tAnim;  // 
	int tDie;	//  
	int tBlink;	//  
	int lives;  //
	int timer;  // 
	int type;	// 
	bool die;   // 
	bool blink; // 
    int r;      // 

	//
	//
	void A1(CEvent* e); int Y1;   
	//
	void A2();         	int Y2;
	//
	void A3();		   	int Y3;
	//
	void A4();			int Y4;   
	//
	void A5();			int Y5;

	//. .  . .
	//A1	
	bool inline x50(CEvent*);
	bool inline x51();
	bool inline x52();
	bool inline x53();
	void inline z00(CEvent*);
	void inline z05(CEvent*);
	void inline z10();
	void inline z19(CEvent*);
    
	//A2
	bool inline x00();
	void inline z20(int);
	void inline z21();
	void inline z22();

	//A3
	bool inline x01();
	bool inline x02();
	bool inline x03();
	bool inline x04();
	bool inline x05(int);
	bool inline x06(int);
	bool inline x07(int);
	bool inline x08();
    bool inline x09();
    void inline z30();
    void inline z31();
    void inline z32();
    void inline z33();
    void inline z34();
    void inline z35();
    void inline z36();

	//A4
	bool inline x60();
	void inline z50();
	void inline z51(bool);
	//A5 
	bool inline x70();
	void inline z60(int);
	void inline z61();
	void inline z62();


	// 
	bool CheckBombExplosion(CBomb*);
	bool checkMap(int,int);
	void checkMove();
	int  getDir();

};

#endif