#ifndef CPLAYER_DEF
#define CPLAYER_DEF

#include "defines.h"

#include "CEvent.h"
#include "CBomb.h"
#include "CMapAccess.h"
#include "CMap.h"

class CPlayer
{
public:
	CPlayer();
	CPlayer(int x,int y,CMap* m);
	virtual ~CPlayer();

	//  
	void SetButtons(long,long,long,long,long,long);

	//   
	void You();
	bool TranslateEvent(CEvent* e);
	void Paint(int);
	CMapAccess* map;

	int x,y;    //  

private:
	int k;      //  
	int Px,Py;  //    (x,y)  X,  Y
	int dir;	//   
	int anim;   // 
	int tAnim;  // 
	int tDie;	//  
	int tBlink;	//  
	int Abombs; //. 
	int	Nbombs; //   
	int power;	// 
	int lives;  //
	int timer;  // 
	bool die;   // 
	bool blink; // 
	long int keyLeft,keyRight,keyUp,keyDown,keyPut,keyExplode;// 
	bool pressLeft,pressRight,pressUp,pressDown,pressPut,pressExplode;//

	//
	//
	void A1(CEvent* e); int Y1;   
	//
	void A2();         	int Y2;
	//
	void A3();		   	int Y3;
	//
	void A4();			int Y4;   
	//
	void A5();			int Y5;

	//. .  . .
	//A1	
	bool inline x50(CEvent*);
	bool inline x51();
	bool inline x52();
	bool inline x53();
	void inline z00(CEvent*);
	void inline z01(CEvent*);
	void inline z02(CEvent*);
	void inline z03(CEvent*);
	void inline z04(CEvent*);
	void inline z05(CEvent*);
	void inline z07(CEvent*);
	void inline z09(CEvent*);
	void inline z10();
	void inline z19(CEvent*);
	//A2
	bool inline x00();
	void inline z20(int);
	void inline z21();
	void inline z22();
	//A3
	bool inline x10();
	bool inline x11();
	bool inline x12();
	bool inline x13();
	bool inline x14();
	bool inline x17();
	bool inline x18();
	bool inline x19();
	bool inline x20();
	bool inline x21();
	bool inline x22();
	bool inline x23();
	bool inline x24();
	bool inline x25();
	bool inline x26();
	bool inline x27();
	bool inline x28();
	bool inline x29();
	bool inline x30();
	void inline z30();
	void inline z31(int,int);
	void inline z32();
	void inline z33();
	void inline z34();
	void inline z35();
	//A4
	bool inline x60();
	void inline z50();
	void inline z51(bool);
	//A5 
	bool inline x70();
	void inline z60(int);
	void inline z61();
	void inline z62();


	// 
	bool CheckBombExplosion(CBomb*);
	int placeNewBomb();
	void deleteBomb(int);
	bool checkMap(int,int);
	void checkMove();
	int  getDir();
	
	// 
	CBomb* bombs[MAX_PLAYER_BOMBS]; 
};

#endif