#ifndef DEFINES_DEF
#define DEFINES_DEF

#define BOMB_TIMER					400
#define BOMB_FIRST_POWER			3
#define BOMB_MAX_POWER				15
#define BOMB_EXPLODE_TIME			10
#define BOMB_ANIM_SPEED				30
#define FIRE_ANIM_SPEED				15

#define MAP_WIDTH					17
#define MAP_HEIGHT					11
#define CELL_SIZE					32
#define PLAYER_WIDTH				36
#define	PLAYER_HEIGHT				50
#define PLAYER_WIDTH_DIE			38
#define PLAYER_HEIGHT_DIE			44
#define MAX_MAP_OBJECTS				1000
#define MAX_BOMBS_ON_MAP			100

#define MAX_PLAYERS					8
#define MAX_MONSTRES				8

#define MAX_PLAYER_BOMBS			10
#define MAX_PLAYER_SPECS			10
#define PLAYER_ANIM_LENGTH			3
#define PLAYER_ANIM_SPEED			15
#define PLAYER_BLINK_ANIM_SPEED		10
#define PLAYER_BLINK_TIME			400
#define PLAYER_DIE_ANIM_SPEED		10

#define SCREEN_WIDTH				640
#define SCREEN_HEIGHT				480
#define	MAP_OFFSET_X				48
#define MAP_OFFSET_Y				32
	
#define MONSTER_BLINK_ANIM_SPEED	10
#define MONSTER_BLINK_TIME			400
#define MONSTER_DIE_ANIM_SPEED		10
#define MONSTER_ANIM_SPEED			15

#define MAP_CLEAR					0x00
#define MAP_NOWEXP					0xFF
#define MAP_WALL1					0x01
#define MAP_WALL2					0x02
#define MAP_WALL3					0x03
#define MAP_WALL4					0x04
#define MAP_WALL5					0x05
#define MAP_WALL6					0x06
#define MAP_WALL7					0x07
#define MAP_WALL8					0x08
#define MAP_WALL9					0x09
#define MAP_BOMB					0x1F

#define SURF_NUMBER		10
#define sONE			0
#define sTWO			1
#define sWALL			2
#define	sBG				3
#define	sUG				4
#define sMENU			5
#define sBUTTONS		6
#define sMONSTER		7
#define sDIE			8
#define sCREDITS		9

// 
#define mPARF						0x01
#define mPARF_WIDTH					64
#define mPARF_HEIGHT				64

typedef struct _SObject
{	
	int x;
	int y;
	int z;
	int width;
	int height;
	int type;
	int data;
} SObject, *LPSObject;

#endif